use std::{thread, time};

mod db;

fn main() -> Result<(), Box<dyn std::error::Error>> {
    let db_path = std::env::args()
        .nth(1)
        .ok_or("Pass path to sqlite DB in first parameter.")?;
    let mut db_conn: db::DbHandle = db::DbHandle::new(db_path)?;

    loop {
        thread::sleep(time::Duration::from_secs(300));
    }
}
